Skip to content

Update Form Instance

Update an existing form instance. Requires READ, ADMIN, or MANAGE_TO_DO permissions. Additional per-field permission checks are performed within the handler.

Parameters

name * are required parametersdata typedescription
instanceId*stringThe unique identifier of the form instance
body.dataobjectUpdated form field data
body.assigneeIdsstring[]Updated list of assignee user IDs

Return Value

The updated form instance object.

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when the user does not have access to update this form.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/form/:instanceId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"data": {"fieldName": "updatedValue"}}'

ENDPOINTS

put/api/{targetPath}/form/:instanceId